summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNorbert Thiebaud <nthiebaud@gmail.com>2013-01-18 04:01:38 -0600
committerNorbert Thiebaud <nthiebaud@gmail.com>2013-01-18 19:39:29 -0600
commit17dbd4b8ff8102667d0fb84dd53635a70ba158c9 (patch)
treeb80b2e9a71040b402d907e9d106c2121def3fcda
parentea5b6daedb2993b33a8b8e82eb2c23ed1d9f22bd (diff)
consolitate io and cpu nicesness
-rwxr-xr-xtb/tb8
-rw-r--r--tb/tb_phases.sh8
2 files changed, 6 insertions, 10 deletions
diff --git a/tb/tb b/tb/tb
index 33fcfb5..1946808 100755
--- a/tb/tb
+++ b/tb/tb
@@ -164,6 +164,8 @@ TB_NAME=<name> Name of the tinderbox. see http://wiki/documentfoundation.org/Dev
for naming conventions.
This is G or P-level parameter only
This paramter is mandatory.
+TB_NICE=<prefix> Value to prepend to expensive command like MAKE to nice it
+ for eacmpel TB_NICE="nice ionice -c3"
TB_OWNER=<email> Email of the owner/operator of the tinderbox
This is G or P-level parameter only
This paramter is mandatory.
@@ -271,9 +273,6 @@ while [ "${1}" != "" ]; do
do_help
exit
;;
- -i) # be gentle on i/o
- TB_NICE_IO="ionice -c3"
- ;;
-k) # do not override the local autogen.lastrun if present
tb_KEEP_AUTOGEN="1"
;;
@@ -326,9 +325,6 @@ while [ "${1}" != "" ]; do
;;
esac
;;
- -n) # build 'nicely' :-)
- TB_NICE_CPU="nice"
- ;;
-p) # profile to use to deterine extra parameter (email mostly) and autogen arguments
if [ -z "${has_arg}" ] ; then
shift;
diff --git a/tb/tb_phases.sh b/tb/tb_phases.sh
index ed8a938..1c8e24c 100644
--- a/tb/tb_phases.sh
+++ b/tb/tb_phases.sh
@@ -17,7 +17,7 @@ pre_autogen()
do_autogen()
{
if [ "${R}" = "0" ] ; then
- if ! ${TB_NICE_CPU} ${TB_NICE_IO} ./autogen.sh >tb_${B}_autogen.log 2>&1 ; then
+ if ! ${TB_NICE} ./autogen.sh >tb_${B}_autogen.log 2>&1 ; then
tb_REPORT_LOG=tb_${B}_autogen.log
tb_REPORT_MSGS="autogen/configure failed - error is:"
R=1
@@ -35,7 +35,7 @@ pre_clean()
do_clean()
{
if [ "${R}" = "0" ] ; then
- if ! ${TB_NICE_CPU} ${TB_NICE_IO} ${TB_WATCHDOG} ${MAKE?} -sr clean > "tb_${B?}_clean.log" 2>&1 ; then
+ if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} -sr clean > "tb_${B?}_clean.log" 2>&1 ; then
tb_REPORT_LOG="tb_${B?}_clean.log"
tb_REPORT_MSGS"cleaning up failed - error is:"
R=1
@@ -55,14 +55,14 @@ local extra_buildid=""
extra_buildid="TinderBox: ${TB_NAME?}, Branch:${B}, Time: $current_timestamp"
fi
if [ "${R}" = "0" ] ; then
- if ! ${TB_NICE_CPU} ${TB_NICE_IO} ${TB_WATCHDOG} ${MAKE?} EXTRA_BUILDID="$extra_buildid" -sr > "tb_${B?}_build.log" 2>&1 ; then
+ if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} EXTRA_BUILDID="$extra_buildid" -sr > "tb_${B?}_build.log" 2>&1 ; then
tb_REPORT_LOG="tb_${B?}_build.log"
tb_REPORT_MSGS="build failed - error is:"
R=1
else
# if we want to populate bibisect we need to 'install'
if [ "${tb_BUILD_TYPE?}" = "tb" -a ${TB_BIBISECT} != "0" ] ; then
- if ! ${TB_NICE_CPU} ${TB_NICE_IO} ${TB_WATCHDOG} ${MAKE?} EXTRA_BUILDID="${extra_buildid}" -sr install-tb >>"tb_${B?}_build.log" 2>&1 ; then
+ if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} EXTRA_BUILDID="${extra_buildid}" -sr install-tb >>"tb_${B?}_build.log" 2>&1 ; then
tb_REPORT_LOG="tb_${B}_build.log"
tb_REPORT_MSGS="build failed - error is:"
R=1